{% assign number_of_comments = article.comments_count %}
{% capture date_format %} {{ 'general.date_format' | t }} {% endcapture %}
{% if comment and comment.created_at %}
  {% assign number_of_comments = article.comments_count | plus: 1 %}
{% endif %}

<div class="shopify-section">

  <article id="section-blog" class="blog_v4" itemscope itemtype="http://schema.org/Article">
  
    <div class="blog_v4--title">
      <h1> {{ article.title }} </h1>
    </div>

    <div class="blog_v4--hero-image">
          {% if article.image %} 
            <div class="blog_v4-bg-image bg-image" aria-hidden="true" style="background-image:url({{ article.image.src | img_url: '900x600' }})"></span>
          {% endif %}
    </div>


     {% if section.settings.site_sharing %}
        <div class="blog_v4--seocial-sharing">
          {% include 'social_sharing' %}
        </div>
      {% endif %}

    <div class="blog_v4--article-body">
    
       {% if article.metafields["global"]["Color"] and article.metafields["global"]["Color"] != blank %}
        	{% assign article_color = article.metafields["global"]["Color"] %}
        {% else %}
        	{% assign article_color = "#D5E4C0" %}
        {% endif %}

        {% if section.settings.meta_enable %}
          <ul class="meta no-bullets {% if article.image %} dark {% endif %}">
            <li class="author"><span itemprop="author">{{ 'blogs.article.author' | t: author: article.author }}</span></li>
            <li class="date"><span style="display: inline-block"> </span> on <time datetime="{{ article.published_at | date: '%Y-%m-%d' }}" itemprop="datePublished">{{ article.published_at | time_tag: date_format }}</time></li>
            {% if blog.comments_enabled? and article.comments_count > 0 %}<li class="comments"><span itemProp="commentCount">{{ 'blogs.comments.comments_with_count' | t: count: number_of_comments }}</span></li>{% endif %}
          </ul>
        {% endif %}

        <div class="article-color_v4" style="background-color:{{article_color}}"></div>

        <div class="rte" itemprop="articleBody">
          {{ article.content }}
        </div>

    </div>

  </article>


</div>

{% if section.settings.site_sharing %}
  {% include 'social_sharing' %}
{% endif %}

{% schema %}
	{
    "name": "Article page",
    "class": "mount-article mount-images",
    "settings": [
      {
        "type": "checkbox",
        "id": "meta_enable",
        "default": true,
        "label": "Show author, date and comments"
      },
      {
        "type": "checkbox",
        "id": "site_sharing",
        "label": "Enable article sharing"
      }
    ]
   }
{% endschema %}

{{ 'blogposts_css.scss' | asset_url | stylesheet_tag }}
<style>
  
  .article-content-right .title-and-info{
    padding:0!important;
    padding-bottom:25px!important;
        width: 100%!important;
    max-width: 100%!important;
  }
  
  .article-content-right > .site-box-content{
    padding: 60px 20px !important;
	width:100%!important;
    max-width:100%!important;
  }
  
   
  .article-content-right > .site-box-content h1.title{
   
  }
  
  .article-content-right ul.meta.no-bullets.dark {
    display: flex!important;
  }
  .article-content-right ul.meta.no-bullets.dark .author {
     margin-right: 6px!important;
  }
  .article-content-right .article-color{
     width:14px;
     height:14px;
     background:#000;
        display: inline-block;
        margin-bottom: 5px;
  }

</style>